%define debug_package	%{nil}

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:		libgzipf
Version:	20231218
Release:	1%{?dist}
Summary:	Library to access the GZIP file format
Group:		System Environment/Libraries
License:	LGPLv3+
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/%{name}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	zlib
BuildRequires:	gcc zlib-devel

%description
Library to access the GZIP file format

%package static
Summary:	Library to access the GZIP file format
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static library version of %{name}.

%package devel
Summary:	Header files and libraries for developing applications for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for %{name}.

%package python%{python3_pkgversion}
Summary:	Python %{python3_pkgversion} bindings for %{name}
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release} python%{python3_pkgversion}
BuildRequires:	python%{python3_pkgversion}-devel

%description python%{python3_pkgversion}
Python %{python3_pkgversion} bindings for %{name}

%package tools
Summary:	Several tools for reading GZIP files
Group:		Applications/System
Requires:	%{name} = %{version}-%{release} fuse-libs
BuildRequires:	fuse-devel

%description tools
Several tools for reading GZIP files

%prep
%setup -q

%build
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python3
%endif
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
make %{?_smp_mflags}
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python2
%endif

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.so.*

%files static
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif

%files devel
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/python3*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python3*/site-packages/*.la
%endif
%{_libdir}/python3*/site-packages/*.so

%files tools
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Dec 18 2023 Lawrence R. Rogers <lrr@cert.org> 20231218-1
- Release 20231218-1
	Version from 20231218

* Sat Jan 14 2023 Joachim Metz <joachim.metz@gmail.com> 20230114-1
- Release 20230114-1
	Version from 20230114

